<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
  
  <!--Datatables CSS-->
  <link rel="stylesheet" type="text/css" href="../../datatables/datatables.min.css"/>
  <link rel="stylesheet" type="text/css" href="../../datatables/DataTables-1.11.5/css/dataTables.bootstrap4.min.css"/>
  
  <!--SweetAlert2 CSS-->
  <link rel="stylesheet" type="text/css" href="../../sweetalert/dist/sweetalert2.min.css"/>
  

      <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
</head>

<body>
  <div class="container-scroller">
    <!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
      <div class="main-panel">
        <div class="content-wrapper">
          <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
           			   <p>
				  <button class="btn btn-primary" type="button" data-toggle="collapse"
				   data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample"
				   style="padding: 0.65rem 1.2rem;" th:attr="onclick=|eventBoton()|" >
				    <div id="textBoton"></div>
				  </button>
				</p>
				<div class="collapse" id="collapseExample">
				  <div class="card card-body">
				  	<h4><strong>Buscar</strong></h4>
				    	<div class="row">
	    					<div class="col">
	                      		<div class="form-group">
	                      			<label for="exampleInputMuni">Municipio</label>
		                			<select name="select" class="form-control" id="idmuni">
									<option value="0">--Todos--</option>
									<option th:each="ResponseMunicipioPaginador : ${Municipios}" th:value="${ResponseMunicipioPaginador.muni_Id}"
									th:text="${ResponseMunicipioPaginador.muni_Nombre}"></option>
									</select>
	                      		</div>
			        		</div>
			        		<div class="col">
			        			<div class="form-group">
			        				<label for="exampleInputActivo">Activo</label>
		                			<select name="select" class="form-control" id="activo">
									<option value="0">--Todos--</option>
									<option value="1">SI</option>
									<option value="2">NO</option>
									</select>
	                      		</div>
	
			        		</div>
                   		</div>
				  	</div>
				  
					<button th:attr="onclick=|listaZonas(1,false)|" 
					class="btn btn-primary" style="padding: 0.65rem 1.2rem;" >Aplicar</button>		
					<button th:attr="onclick=|listaZonas(1,true)|" 
					class="btn btn-primary" style="padding: 0.65rem 1.2rem;" >Deshacer cambios</button>				
				</div>
				<br>
                  <h4 class="card-title">Zonas</h4>
                  <div id="cuerpo-total"></div>
	                  <div class="error-microservice" >
					  </div>
					  <div class="alert alert-info alert-dismissible fade show" role="alert" th:if="${mensajeInsertar != null}">
						 	Se ha registrado correctamente una nueva zona
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
						    <span aria-hidden="true">&times;</span>
						  </button>
					  </div>
					  <div class="alert alert-info alert-dismissible fade show" role="alert" th:if="${mensajeActualizar != null}">
						 	Se ha actualizado correctamente los datos de la zona
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
						    <span aria-hidden="true">&times;</span>
						  </button>
					  </div>
					  
		                   <p class="card-description">
	                    	<a th:href="@{/configuracion/zonaRegistro}" class="btn btn-success" style="padding: 0.65rem 1.2rem;">Nuevo</a>
	                  	</p>  
                  		<div class="table-responsive" >
		                    <table class="table table-hover" id="tabla-border-vertical">
		                      <thead>
		                        <tr>
		                        <th><center>N°</center></th>
		                          <th><center>Municipio</center></th>
		                          <th><center>Zona</center></th>
		                          <th><center>Activo</center></th>
		                          <th style="border-right: none;"><center>Acciones</center></th>
		                        </tr>
		                      </thead>
		                      
		                      <tbody class="cuerpo-tabla">
		                      
		                      </tbody>
		                    </table>
                  		</div>
                  		<br>
                  		
                  		<div class="row">
                  			<div  class="col-md-12">
                  				<nav aria-label="...">
								  <ul class="pagination">
								 
								  </ul>
								</nav>
                  			</div>
                  		</div>	  
                  	        
                </div>
                      
              </div>
            </div>
          </div>
        </div>
        <!-- Fragmento footer -->
		<layouttag th:include="fragments/common :: footer" />

        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  
  <script src="../../paginador/zona.js" charset="UTF-8"></script>
  
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
    
  <!--SweetAlert2 JS-->
  <script src="../../sweetalert/dist/sweetalert2.all.min.js"></script>
  
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
  <!-- Custom js for this page-->
  <!-- End custom js for this page-->
  
</body>

</html>